org.apache.sling.nosql.couchbase.client

## Interface CouchbaseClient

All Known Implementing Classes:
  CouchbaseClientImpl

    public interface CouchbaseClient

Provides access to a preconfigured couchbase client. Multiple clients can be registered for different buckets; they can be filtered by the 'clientId' OSGi property.

### Field Summary

Fields
`static String` `CLIENT_ID_PROPERTY` OSGi property for filtering the configured couchbase clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`com.couchbase.client.java.AsyncBucket` `getAsyncBucket()`
`com.couchbase.client.java.Bucket` `getBucket()`
`String` `getBucketName()`
`String` `getClientId()`
`boolean` `isEnabled()`

### Field Detail

#### CLIENT_ID_PROPERTY

    static final String CLIENT_ID_PROPERTY

OSGi property for filtering the configured couchbase clients.

See Also:
  Constant Field Values

### Method Detail

#### getClientId

    String getClientId()

Returns:
  ID to uniquely identify the couchbase client if multiple are defined.

#### isEnabled

    boolean isEnabled()

Returns:
  true if Couchbase caching is enabled and configured properly.

#### getBucketName

    String getBucketName()

Returns:
  the name of the couchbase bucket to use for caching

#### getBucket

    com.couchbase.client.java.Bucket getBucket()

Returns:
  Default bucket as configured for the couchbase client provider.

#### getAsyncBucket

    com.couchbase.client.java.AsyncBucket getAsyncBucket()

Returns:
  Default asynchronous bucket as configured for the couchbase client provider.